<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__rscs__char__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_rscs_char_value_t</compoundname>
    <includes local="no">cy_ble_rscs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__rscs__char__value__t_1a953ec2e0c45b647256c7fa530df4f8b4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_rscs_char_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rscs__char__value__t_1a6ca92b87183fd50a219508e75c1766c0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___r_s_c_s__definitions_1ga24f372ada267f7627ed72ce0640890a5">cy_en_ble_rscs_char_index_t</ref></type>
        <definition>cy_en_ble_rscs_char_index_t cy_stc_ble_rscs_char_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Running Speed and Cadence Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="79" />
      </memberdef>
      <memberdef id="structcy__stc__ble__rscs__char__value__t_1af4d32eac41e471bbc7e105a573c5003d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_rscs_char_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="80" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Running Speed and Cadence Service Characteristic Value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="1134">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="1132">
        <label>cy_stc_ble_rscs_char_value_t</label>
        <link refid="structcy__stc__ble__rscs__char__value__t" />
        <childnode refid="1133" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="1134" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="1133">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="81" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_rscs.h" line="77" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__rscs__char__value__t_1a6ca92b87183fd50a219508e75c1766c0" virt="non-virtual"><scope>cy_stc_ble_rscs_char_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__rscs__char__value__t_1a953ec2e0c45b647256c7fa530df4f8b4" virt="non-virtual"><scope>cy_stc_ble_rscs_char_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__rscs__char__value__t_1af4d32eac41e471bbc7e105a573c5003d" virt="non-virtual"><scope>cy_stc_ble_rscs_char_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>